/*
 * Titanium API for iOS by Dev-iQue LLC, http://dev-ique.com/
 * License: GPL v 3.0
 * Created by: Maxim Orlovsky
 * API documentation prepared from Appcelerator Titanium Mobile source
 *   http://github.com/appcelerator/titanium_mobile
 */ 

// Including frameworks
Ti.include('lib/prototypejs/prototype-cutted.js');
Ti.include('lib/ique/iQue.js');

// Creating and registering default namespace
iQue.namespace('TiAPI');
iQue.namespace('TiAPI.UI');
iQue.defaultNamespace(TiAPI.UI);

// Including UI components
Ti.include('ui/Reference.js');
Ti.include('ui/TiClass.js');
Ti.include('ui/TiMembers.js');
Ti.include('ui/TiMember.js');
Ti.include('ui/DevInfo.js');
Ti.include('ui/AppInfo.js');

// Including configuration information and 
Ti.include('uidata/contents.js');
Ti.include('uidata/configs.js');
Ti.include('uidata/TitaniumAPI-1.6.0.json');


var tabGroup = Titanium.UI.createTabGroup();
var tab = Titanium.UI.createTab({
  title: 'Mobile API',
  icon: 'themes/default/tabs/mobile.png',
  window: TiAPI.UI.Reference.create({ prefix: 'Titanium', apiRoot: TiAPI.Data }, UI.Configs.reference)
});
tab.window.currentTab = tab;
tabGroup.addTab(tab);

var tab = Titanium.UI.createTab({
  title: 'About Appcelerator',
  icon: 'themes/default/tabs/appcelerator.png',
  window: TiAPI.UI.AppInfo.create()
});
tab.window.currentTab = tab;
tabGroup.addTab(tab);

var tab = Titanium.UI.createTab({
  title: 'About Developer',
  icon: 'themes/default/tabs/company.png',
  window: TiAPI.UI.DevInfo.create()
});
tab.window.currentTab = tab;
tabGroup.addTab(tab);

// Reserved for the future use
/*tab = Titanium.UI.createTab({
  title: 'Search',
  icon: 'themes/default/tabs/search.png',
  window: TiAPI.Search.create(UI.Contents.catalog, UI.Configs)
});
tab.window.currentTab = tab;
tabGroup.addTab(tab);

/*tab = Titanium.UI.createTab({
  title: 'Favorites',
  icon: 'themes/default/tabs/favorites.png',
  window: TiAPI.Favorites.create(UI.Contents.favoritesRoot, UI.Configs.companiesList)
});
tab.window.currentTab = tab;
tabGroup.addTab(tab);*/

tabGroup.open();
