iQue.createComponent('TiClass', function (uidata, options) {
  Ti.Analytics.featureEvent('reference.class', { item: uidata.shortName });

  // Creating window
  var self = Ti.UI.createWindow({
    barImage: 'themes/default/navbar.png',
    barColor: '#b9c1c8',
    navBarHidden: false,
    tabBarHidden: true,
    backButtonTitleImage: 'themes/default/tbar/prev.png',
    title: uidata.shortName
  });

  // Preparing rows
  var sidx = { }, scnt = { };
  options.sections.each(function (sect) {
    return sidx[sect.name] = Ti.UI.createTableViewSection({ 
      headerTitle: sect.header == '#' ? uidata.apiName : sect.header 
    });
  });
  options.fields.each(function (fld) {
    var r = Ti.UI.createTableViewRow({ hasChild: !!fld.action, height: fld.height, title: fld.title, layout: 'vertical' });
    if (!fld.title && uidata[fld.field]) {
      if (!fld.label) {
        r.add(Ti.UI.createLabel(iQue.apply({ text: uidata[fld.field].html2Text() }, options.styles[fld.style])));
      } else {
        r.add(Ti.UI.createLabel(iQue.apply({ text: fld.label + ':' }, options.styles[fld.style].label)));
        r.add(Ti.UI.createLabel(iQue.apply({ text: uidata[fld.field] }, options.styles[fld.style].text)));
      }
      scnt[fld.section] = true;
      sidx[fld.section].add(r);
    }
    if (fld.action && uidata[fld.field].length > 0) {
      r.membersType = fld.field;
      scnt[fld.section] = true;
      sidx[fld.section].add(r);
    }
  });

  self.referenceTable = Ti.UI.createTableView({
    style: Titanium.UI.iPhone.TableViewStyle.GROUPED,
    data: options.sections.collect(function (s) { return scnt[s.name] ? sidx[s.name] : null; }).compact()
  });

  // Adding event listeners
  self.referenceTable.addEventListener('click', function (ev) {
    var mt = ev.rowData.membersType;
    if (!mt) return;
    var w = TiAPI.UI.TiMembers.create(iQue.apply(uidata[mt], { 
      membersType: mt, shortName: uidata.shortName 
    }), options);
  	w.currentTab = self.currentTab;
  	self.currentTab.open(w, { animated: true });
  });

  // Building layout
  self.add(self.referenceTable);

  // Done
  return self;
});
