iQue.createComponent('TiMember', function (uidata, options) {
  Ti.Analytics.featureEvent('reference.member', { item: uidata.shortName + ' ' + uidata.name });

  // Creating window
  var self = Ti.UI.createWindow({
    barImage: 'themes/default/navbar.png',
    barColor: '#b9c1c8',
    navBarHidden: false,
    tabBarHidden: true,
    backButtonTitleImage: 'themes/default/tbar/prev.png',
    title: uidata.memberType.capitalize().replace(/s$/, '') + ' ' + uidata.name
  });

  // Preparing rows
  var sectTitle = Ti.UI.createTableViewSection({ headerTitle: 'Description' });
  var row = Ti.UI.createTableViewRow({ height: 'auto', layout: 'vertical' });
  row.add(Ti.UI.createLabel(iQue.apply({ text: uidata.value.html2Text() }, options.styles.text)));
  sectTitle.add(row);
  
  if (uidata.memberType != 'properties') {
    var what = uidata.memberType == 'methods' ? 'parameters' : 'properties';
    var sectArgs = Ti.UI.createTableViewSection({ headerTitle: what.capitalize() });
    uidata[what].each(function (item) {
      var row = Ti.UI.createTableViewRow({ height: 'auto' });
      row.add(Ti.UI.createLabel(iQue.apply({
        text: item.type + ' ' + item.name + '\n' + (item.value || item.description).html2Text()
      }, options.styles.text)));
      sectArgs.add(row);
    })
  }

  self.referenceTable = Ti.UI.createTableView({
    style: Titanium.UI.iPhone.TableViewStyle.GROUPED,
    data: [ sectTitle, sectArgs ].compact()
  });

  // Building layout
  self.add(self.referenceTable);

  // Done
  return self;
});
