iQue.createComponent('TiMembers', function (uidata, options) {
  Ti.Analytics.featureEvent('reference.members', { item: uidata.shortName + ' ' + uidata.membersType });

  // Creating window
  var self = Ti.UI.createWindow({
    barImage: 'themes/default/navbar.png',
    barColor: '#b9c1c8',
    navBarHidden: false,
    tabBarHidden: true,
    backButtonTitleImage: 'themes/default/tbar/prev.png',
    title: uidata.shortName + ' ' + uidata.membersType
  });

  // Preparing rows
  var idx = 0;
  self.referenceTable = Ti.UI.createTableView({
    data: uidata.collect(function (item) { try {
      var row = Ti.UI.createTableViewRow({ title: item.name, hasChild: true });
      row.apiRef = idx;
      idx += 1;
      return row;
    } catch (ex) { Ti.API.info(ex); }})
  });

  // Adding event listeners
  self.referenceTable.addEventListener('click', function (ev) {
    var w = TiAPI.UI.TiMember.create(iQue.apply({
      className: uidata.shortName,
      memberType: uidata.membersType
    }, uidata[ev.rowData.apiRef]), UI.Configs.tiMember);
  	w.currentTab = self.currentTab;
  	self.currentTab.open(w, { animated: true });
  });

  // Building layout
  self.add(self.referenceTable);

  // Done
  return self;
});
